You are here

Low Frequency Even ver 1.1 (UPDATED)

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0
Rate this item!

This plugin removes low frequency brightness and color differences from image. It's dedicated for creating textures for computer graphic from photos. But it shuld be usefull for other puroses too.

It works fine also for images with non unfiorm structure (bigger details with different brightness color)

For images which contains few big details you can:
- Use bigger filter value
- Disable filtering one of axis (X or Y)
- Erase unwanted details from image (to transparent)
- Select only wanted details

So, for filter this image:

I first selected grass areas, feathered selection and applied the filter. After that I inverted selection and filtred it again.

Installation: Copy script dedicated fr your GIMP version into Script-Fu scripts directory
To run fiter: go Filters/Light and Shadow/Low frequency even

    • Version 1.1
    • "tmp-layer error" fixed
    • Added GIMP 2.7 and above support
    • Version 1.0
    • Initial release


GIMP Version: 
Scripting Engine: 


The script still crashes when using a selection. I used the fixed version for GIMP 2.8.
It is still a great srcript, but it would be nice if that worked too.


The script-fu is updated based on your description of default.
Can you test it and make your remarks?
Thank you.

The download link is the same:

I really like it, and I use it for work... =(
Thanks for trying to reach the author. =)
If you fix it, let me know, please. =)

Had version 2.x (from GIMP 2.6.12) but it would crash, so I did a search and found that you updated for 2.7. Unfortunately your 2.7 version is not compatible with 2.8 (at least not the 64-bit version of GIMP). I get the error below. :)

I have this problem too! =(
I'm on 2.8 on Ubuntu Precise.

I just emailed Miran so hopefully he will get the email and also fix the issue soon filsd. :)

Thanks. =)

Never got a response back unfortunately. Not gooat Script-fu, but might look at it to see where it's crashing and maybe fix it but more then likely I'll ask for help from the script-fu heavyweights here if Miran doesn't address the issue since it might have gotten abandoned. I like low frequency even and miss not having it (not for seamless texture but for HDR effects). :)

Around line 33 in the code is the statement:

(if (gimp-drawable-has-alpha drawable)

This needs to be changed to:

(if (not (zero? (car (gimp-drawable-has-alpha drawable))))

Runs further Saul, but still, as filsd indicated, still has issues. I did try to run Script-fu terminal to debug but it wouldn't open in terminal (just goes to show how novice I am to Script-fu; lol). :)


Subscribe to Comments for "Low Frequency Even  ver 1.1 (UPDATED)"